{{ form_start(form) }}
<div class="grid gap-4 mb-4 sm:grid-cols-2 sm:gap-6 sm:mb-5">
    <div class="sm:col-span-2">
        {{ form_label(form.username, 'Identifiant', {'label_attr': {'class': 'block mb-2 text-sm font-medium text-gray-900'}}) }}
        {{ form_widget(form.username, {'attr': {'class': 'bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-primary-600 focus:border-primary-600 block w-full p-2.5'}}) }}
    </div>
    <div class="sm:col-span-2">
        {{ form_label(form.password, 'Mot de passe', {'label_attr': {'class': 'block mb-2 text-sm font-medium text-gray-900'}}) }}
        {{ form_widget(form.password, {'attr': {'class': 'bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-primary-600 focus:border-primary-600 block w-full p-2.5'}}) }}
    </div>
    <div class="sm:col-span-2">
        {{ form_widget(form.roles, {'attr': {'class': 'w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 rounded focus:ring-blue-500 dark:focus:ring-blue-600 dark:ring-offset-gray-800 focus:ring-2 dark:bg-gray-700 dark:border-gray-600'}}) }}
        {{ form_label(form.roles, 'Administrateur', {'label_attr': {'class': 'w-full py-4 ms-2 text-sm font-medium text-gray-900 dark:text-gray-300'}}) }}
    </div>
    <button class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm w-full sm:w-auto px-5 py-2.5 text-center">
        {{ button_label|default('Enregistrer') }}
    </button>
</div>
{{ form_end(form) }}
